@import "vars"

/*==========  Desktop First  ==========*/

/* Large Devices, Wide Screens Custom */
@media only screen and (max-width : 1600px)
  /**/
  .home_wrapper.index
    min-height: calc(100vh - 50px)
    .home_content
      min-height: calc(100vh - 152px)
      align-items: center
      padding: 13px 0
      margin-top: -130px
      h1
        font-size: 24px
      .buttons
        margin-top: 25px
        a,
        button
          display: flex
          justify-content: center
          align-items: center
      // .phone
      //   img
      //     height: 300px
      //     margin-left: -21px
    @-moz-document url-prefix()
      .home_content
        min-height: calc(100vh - 154px)
  .wrapper,
  .home_wrapper
    border: 25px solid $blue_clr
  
  footer
    margin: 0 0 20px


/* Large Devices, Wide Screens Custom */
@media only screen and (max-width : 1480px)
  /**/
  header
    .header
      .logo,
      .menu
        margin-right: 0
        margin-left: 0
    .heading_wrap
      margin-right: 0
      h1
        &.main_heading
          font-size: 50px
      .heading_text_wrap
        h1
          .heading_title
            font-size: 30px 
          .heading_text
            max-width: 415px
            font-size: 18px
  
  .home_wrapper.index
    .home_content
      min-height: calc(100vh - 134px)
      margin-top: -100px
    @-moz-document url-prefix()
      .home_content
        min-height: calc(100vh - 136px)
        margin-top: -100px
  
  footer
    .copyright
      margin: 0

/* Large Devices, Wide Screens */
@media only screen and (max-width : 1200px)
  /**/
  header
    .heading_wrap
      .heading_text_wrap
        h1
          .heading_text
            max-width: 330px

  .home_wrapper.index
    .home_content
      min-height: calc(100vh - 155px)
    @-moz-document url-prefix()
      .home_content
        min-height: calc(100vh - 157px)
  
  footer
    #marquee
      // width: 100%
      left: calc(50% + 35px)
      span
        padding-left: calc(50% + 35px)


/* Medium Devices, Desktops */
@media only screen and (max-width : 992px)
  /**/
  header
    .header
      .menu
        a
          margin-right: 10px
    .heading_wrap
      h1
        &.main_heading
          text-align: center
      .heading_text_wrap
        justify-content: center
        text-align: center


  .home_wrapper.index
    .home_content
      min-height: calc(100vh - 255px)
      margin-top: 0
    @-moz-document url-prefix()
      .home_content
        min-height: calc(100vh - 257px)
        margin-top: 0
    

  .pages_footer
    margin-top: 50px

  footer 
    #marquee
      width: 100%
      left: 0
      bottom: -21px
      span
        padding-left: 100%;


/* Small Devices, Tablets */
@media only screen and (max-width : 767px)
  /**/
  header
    .header
      flex-direction: column
      .menu
        margin-top: 20px
        a
          margin-right: 20px
  
  .home_wrapper.index
    .home_content
      min-height: calc(100vh - 296px)
      // .phone
      //   img
      //     height: 200px
      //     margin-left: -34px
      p
        font-size: 30px
    @-moz-document url-prefix()
      .home_content
        min-height: calc(100vh - 299px)

  .content
    .messages_top_wrap
      flex-direction: column
    .messages_top_wrap,
    .messages_bottom_wrap  
      .blue_message,
      .lime_message
        margin-top: 40px
      .blue_message.first_msg
        margin-top: 0

  footer
    .footer_wrap
      flex-direction: column
      align-items: center
      .copyright
        margin: 15px 0 0

    #marquee
      bottom: -21px


/* Small Devices, Tablets */
@media only screen and (max-width : 576px)
  /**/
  .home_wrapper.index,
  .wrapper
    border: 5px solid $blue_clr

  header
    .header
      .logo
        text-align: center
        margin-left: -67px
      .menu
        a
          margin-right: 0
    .menu      
      flex-direction: column
      align-items: center
      margin-top: 25px
      a
        margin: 0 0 12px 0
        &:last-of-type
          margin-bottom: 0
  
  .home_wrapper.index
    .home_content
      padding: 15px 0
      min-height: calc(100vh - 256px)
    @-moz-document url-prefix()
      .home_content
        min-height: calc(100vh - 259px)
    
  .heading
    font-size: 30px

  .content
    padding: 45px 0 45px
    .blue_message,
    .lime_message
      padding: 10px
      .user_avatar
        float: none
    .blue_message
      p
        margin-left: 0
        margin-top: 10px
    .lime_message
      p
        margin-right: 0
        margin-top: 46px
      .user_avatar
        top: 10px
        right: 10px
    &.privacy
      flex-direction: column
      .nav
        flex-direction: row
        justify-content: center
        .nav_btn
          margin: 0 20px 35px 0

  .contact_form_wrap
    #contact_form
      padding: 35px 0
      .submit_controls
        flex-direction: column-reverse
        .input_btn
          margin-top: 15px
        .submit_checkbox
          label
            margin-left: 0
            
            

  footer
    .copyright
      text-align: center


/* Extra Small Devices, Phones */
@media only screen and (max-width : 480px)
  /**/
  header
    .header
      .logo
        margin-left: 0
  .home_wrapper.index
    .home_content
      margin-top: 35px
      min-height: calc(100vh - 394px)
      p
        font-size: 26px
    @-moz-document url-prefix()
      .home_content
        min-height: calc(100vh - 397px)


  .heading.privacy
    display: none
  .heading_mobile
    display: block
    font-size: 30px
    text-align: center

  .content
    &.privacy
      .nav
        flex-direction: column
        align-items: center
        margin-bottom: 20px
        .nav_btn
          margin: 0 0 20px 0

  .contact_form_wrap
    #contact_form
      .submit_controls
        .submit_checkbox
          justify-content: center
          align-items: center
          label
            justify-content: flex-end
            align-items: center
  
  footer
    margin-top: 30px
    .footer_wrap
      .index_menu
        display: flex
        flex-direction: column
        align-items: center
        a
          margin-right: 0
          margin-top: 10px

/*==========  Mobile First  ==========*/

/* Custom, iPhone Retina */
@media only screen and (min-width : 320px)
  /**/


/* Extra Small Devices, Phones */
@media only screen and (min-width : 481px)
  /**/


/* Small Devices, Tablets */
@media only screen and (min-width : 769px)
  /**/


/* Medium Devices, Desktops */
@media only screen and (min-width : 993px)
  /**/


/* Large Devices, Wide Screens */
@media only screen and (min-width : 1201px)
  /**/

/* Large Devices, Wide Screens */
@media only screen and (min-width : 1601px)
  /**/
  .home_wrapper.index
    .home_content
      .buttons
        a,
        button
          display: flex
          align-items: center
          justify-content: center
